com.gisgraphy.street

## Class StreetSearchResultsDtoSerializer

- java.lang.Object
- - com.gisgraphy.street.StreetSearchResultsDtoSerializer

- All Implemented Interfaces:
    IStreetSearchResultsDtoSerializer

      public class StreetSearchResultsDtoSerializer
      extends Object
      implements IStreetSearchResultsDtoSerializer

  serialize @link `GeolocResultsDto` into several formats
  Author:
    David Masclet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger` The logger
    `static String` | `START_PAGINATION_INDEX_EXTRA_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetSearchResultsDtoSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(OutputStream outputStream, com.gisgraphy.serializer.common.OutputFormat outputFormat, com.gisgraphy.domain.valueobject.StreetSearchResultsDto streetSearchResultsDto, boolean indent, Map<String,Object> extraParameters)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### START_PAGINATION_INDEX_EXTRA_PARAMETER

          public static final String START_PAGINATION_INDEX_EXTRA_PARAMETER

      See Also:
        Constant Field Values

    - #### logger

          protected static final org.slf4j.Logger logger

      The logger

  - ### Constructor Detail

    - #### StreetSearchResultsDtoSerializer

          public StreetSearchResultsDtoSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(OutputStream outputStream,
                       com.gisgraphy.serializer.common.OutputFormat outputFormat,
                       com.gisgraphy.domain.valueobject.StreetSearchResultsDto streetSearchResultsDto,
                       boolean indent,
                       Map<String,Object> extraParameters)

      Specified by:
        `serialize` in interface `IStreetSearchResultsDtoSerializer`
      Parameters:
        `outputStream` - the `OutputStream` to serialize in
        `outputFormat` - the outputFormat we'd like to serialize the geolocResultsDto
        `streetSearchResultsDto` - the geolocResultsDto to serialize
        `indent` - whether the stream should be indented (if the format support indentation)
        `extraParameters` - a map that contains named parameters (callback method, startpaginationindex, needed for RSS and ATOM) the parameters can be use for a certain format but not for all)

Copyright © 2015. All rights reserved.